Bug 837955 - 1.3. JBoss Logging is sparse on detail
1.3. JBoss Logging is sparse on detail
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.0.1
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 18:19 EDT by Alan Santos
Modified: 2015-02-05 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.4 Build Filter: null Build Name: Build Date: 15-06-2012 10:17:05
Last Closed: 2012-09-19 23:48:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Santos 2012-07-05 18:19:27 EDT
Description of problem:


Section "1.3. JBoss Logging" would be of interest to an adminstrator (and therefore in the admin guide) if the content covered how to configure logs, their presence and content. This section lacks all.
Comment 1 Misha H. Ali 2012-07-05 22:49:03 EDT
Clarifying if JBoss Logging Tools are used/supported in JDG.
Comment 2 Misha H. Ali 2012-07-05 23:10:37 EDT
Confirmation received on ISPN-internal that JBoss Logging Tools are used. Further questions asked of list:

a. Where do log files live in $JDG_HOME as a default? 
b. Are there any default log file names?
c. Does JDG's JBoss Logging support all of the following log levels: RACE, DEBUG, INFO, WARN, ERROR and FATAL.
d. Does JDG's JBoss Logging usage include log handlers?

Need to investigate how to:

a. Change settings for logging.
b. Start JBoss Logging, if it needs to be started, ever.
c. Stop JBoss Logging, if it needs to be stopped, ever.
Comment 3 Misha H. Ali 2012-07-10 00:37:15 EDT
Thus far, added the following new topics (indicated by *):


Chapter: Logging in JBoss Data Grid
  An Overview of Logging in JBoss Data Grid *
  Section: Supported Application Logging Frameworks
    Supported Application Logging Frameworks *
    About JBoss Logging 
    JBoss Logging Features
  Section: Configure Logging
    About Boot Logging *
    Configure Boot Logging *
    Default Log File Locations *
  Section: Logging Attributes
    About Log Levels *
    Supported Log Levels *
    About Log Categories *
    About the Root Logger *
    About Log Handlers *
    Log Handler Types *
    About Log Formatters *

The listed topics are currently sent to Technical QE for review.
Comment 4 Misha H. Ali 2012-07-10 21:33:07 EDT
Added some more configurations based on QE advice:

2. Logging in JBoss Data Grid
2.1. An Overview of Logging in JBoss Data Grid
2.2. Supported Application Logging Frameworks
2.2.1. Supported Application Logging Frameworks
2.2.2. About JBoss Logging
2.2.3. JBoss Logging Features
2.3. Configure Logging
2.3.1. About Boot Logging
2.3.2. Configure Boot Logging
2.3.3. Default Log File Locations
2.4. Logging Attributes
2.4.1. About Log Levels
2.4.2. Supported Log Levels
2.4.3. About Log Categories
2.4.4. About the Root Logger
2.4.5. About Log Handlers
2.4.6. Log Handler Types
2.4.7. About Log Formatters
2.5. Logging Configuration Properties
2.5.1. Root Logger Properties
2.5.2. Log Category Properties
2.5.3. Console Log Handler Properties
2.5.4. File Log Handler Properties
2.5.5. Periodic Log Handler Properties
2.5.6. Size Log Handler Properties
2.5.7. Async Log Handler Properties
2.6. Logging Sample Configurations
2.6.1. Sample XML Configuration for the Root Logger
2.6.2. Sample XML Configuration for a Log Category
2.6.3. Sample XML Configuration for a Console Log Handler
2.6.4. Sample XML Configuration for a File Log Handler
2.6.5. Sample XML Configuration for a Periodic Log Handler
2.6.6. Sample XML Configuration for a Size Log Handler
2.6.7. Sample XML Configuration for a Async Log Handler

Note You need to log in before you can comment on or make changes to this bug.